<?php

namespace app\admin\validate\life;

use think\Validate;

class CinemaPerformersValidate extends Validate
{
    protected $rule = [
        'performers_name' => 'require|chsDash',
        'performers_img' => 'regex:/^[0-9a-zA-Z\.]+$/',
        'performers_type' => 'require|in:1,2',
        'performers_introduction' => 'chsDash',
        'performers_is_del' => 'in:0,1'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['performers_name', 'performers_img', 'performers_type', 'performers_introduction'],
        'update' => ['performers_name', 'performers_img', 'performers_type', 'performers_introduction', 'performers_is_del']
    ];
}